import type { UserInfoResponse } from '@/types/menu'
import { mockGetUserInfo } from '@/mock'

/**
 * 获取当前用户信息（角色、昵称、头像）
 * @param token 用户 token
 * @returns UserInfoResponse
 *
 * TODO: 后端就绪后替换为
 * return http.get('/user/info')
 */
export function getUserInfo(token: string): Promise<UserInfoResponse> {
  return mockGetUserInfo(token)
}
